package hello.button;
import javafx.application.Application;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

/**
 * Yksinkertainen esimerkki JavaFX ohjelmasta joka hakee ulkoasun FXML-tiedostosta
 * @author vesal
 * @version 4.3.2016
 */
public class HelloWorldMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            Pane root = FXMLLoader.load(getClass().getResource("HelloWorldView.fxml"));
            viesti = "Kiitti";
            Scene scene = new Scene(root);
            primaryStage.setScene(scene);
            primaryStage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    
    /** @param args  ei kytss  */
    public static void main(String[] args) { 
        launch(args);   
    }
    
    private String viesti = "Well Done";
    
    @FXML private Label label;
    
    @FXML private void handlePressed() {
        label.setText(viesti);
    }
    
}
